# Class JMeterEngineException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.apache.jmeter.engine.JMeterEngineException

All Implemented Interfaces:
  `Serializable`

public class JMeterEngineException extends Exception implements Serializable
Exception class for use by `JMeterEngine.runTest()` and `RemoteJMeterEngine.rrunTest()`

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JMeterEngineException()`
`JMeterEngineException(String msg)`
`JMeterEngineException(String msg, Throwable t)`
`JMeterEngineException(Throwable t)`

## Method Summary

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JMeterEngineException

public JMeterEngineException()

### JMeterEngineException

public JMeterEngineException(String msg)

### JMeterEngineException

public JMeterEngineException(Throwable t)

### JMeterEngineException

public JMeterEngineException(String msg, Throwable t)